Het OpenTX draadje (nieuws, handige weetjes, hardware, diy)

Discussie in 'Modelbouwsoftware' gestart door Tadango, 2 apr 2020.

  1. brutus

    brutus Forum veteraan

    Lid geworden:
    18 nov 2008
    Berichten:
    23.955
    Locatie:
    Oldeberkoop
    Ik heb companion, en ik heb wel eens een halfslachtige poging gedaan, maar ik blijf gek genoeg met die knopjes, ook al krijg je lamme vingers van het duwen, veel beter in de gaten houden wat ik nu eigenlijk aan het doen ben.

    Ik gebruik Companion eigenlijk uitsluitend om logfiles te bekijken zodat ik het motorgedrag kan analyseren.
     
  2. Tadango

    Tadango Forum veteraan

    Lid geworden:
    25 jun 2003
    Berichten:
    15.746
    Locatie:
    Groningen
    Daarvoor is ook een tool voor op de Horus :) Kan 4 variabelen tegelijk in een grafiek weergeven.
     
  3. AHoogendijk

    AHoogendijk

    Lid geworden:
    24 mei 2012
    Berichten:
    1.255
    Locatie:
    Krabbendijke
  4. Tadango

    Tadango Forum veteraan

    Lid geworden:
    25 jun 2003
    Berichten:
    15.746
    Locatie:
    Groningen
    Laatst bewerkt: 10 jun 2021
    AHoogendijk vindt dit leuk.
  5. RJA

    RJA

    Lid geworden:
    24 dec 2006
    Berichten:
    451
    Locatie:
    Wassenaar
    Ik gebruik het Access protocol en ik word best moe van low RSSI meldingen.

    Nu staan de alarm niveaus bij mij nog op 45 dB voor low RSSI en 42 dB voor critical.

    Op het forum van Aloft hobbies vond ik dat je voor het Access protocol wel naar 35 dB en 32 dB kunt gaan.
    https://forum.alofthobbies.com/inde...ssi-signal-low-signal-critical-settings.1312/

    Ik heb vervolgens ook gekeken de RSSI van alle vluchten van de laatste tijd en dan blijkt dat ik maar 2 keer een RSSI van 35 tegenkom - en nooit een lager getal.

    Ik denk dus dat het prima kan, mijn alarmniveaus verlagen naar 35 voor ‘low’ en 32 voor ‘critical’.

    Maar ik hoor toch ook graag jullie mening.

    Dank voor jullie reactie.

    Roger
     
    Laatst bewerkt: 14 jun 2021
  6. AHoogendijk

    AHoogendijk

    Lid geworden:
    24 mei 2012
    Berichten:
    1.255
    Locatie:
    Krabbendijke
    Staat dus ook op de FrSky website bij ontvangers:
    https://www.frsky-rc.com/archer-m/
    Bij de firmware

    Groeten,

    Arie
     
  7. RJA

    RJA

    Lid geworden:
    24 dec 2006
    Berichten:
    451
    Locatie:
    Wassenaar
    Dank,

    Daar ben ik eerder naar verwezen maar ik kan het echt nergens lezen in de manual. Niet in de link die jij stuurt en ook niet in de Archer GR6 manual. Of ik moet echt stekeblind zijn er er keer op keer overheen lezen.....
     
  8. AHoogendijk

    AHoogendijk

    Lid geworden:
    24 mei 2012
    Berichten:
    1.255
    Locatie:
    Krabbendijke
    In die link, klik firmware open: Screenshot_20210616_181018_com.android.chrome.jpeg
     
  9. RJA

    RJA

    Lid geworden:
    24 dec 2006
    Berichten:
    451
    Locatie:
    Wassenaar
    Ah!

    Bij Firmware!

    Tja, daar had ik niet gekeken (terwijl je dat wel in je eerdere bericht had staan..... )

    Veel dank hiervoor. Blij dat ik de bevestiging heb.
     
    peytr en AHoogendijk vinden dit leuk.
  10. alm

    alm

    Lid geworden:
    20 jun 2015
    Berichten:
    849
    Locatie:
    Hellevoetsluis
    Is er hier iemand die soundpacks maakt d.m.v. TTSAutomate 3.1.0.1 en ook Google geluiden gebruikt? Ik merkte van de week dat dat bij mij niet meer werkt en was benieuwd of het bij anderen ook niet meer werkt. Ik gebruik bijvoorbeeld English Canada, maar ook andere voices doen het niet. I.v.m. de release van OpenTX 2.3.12 wilde ik mijn soundpack aanvullen met de nieuwe geluiden daaruit (zodat alles in één stem uitgesproken wordt) en toen kwam ik er achter dat het niet meer functioneert.
     
  11. max z

    max z Vriend van modelbouwforum.nl The First Aviators

    Lid geworden:
    4 dec 2009
    Berichten:
    1.752
    Locatie:
    Boskoop
    Hallo,
    Ik ben een nieuwe OpenTX gebruiker, ik heb kort geleden een gebruikte X-Lite Pro overgenomen. De firmware versie die daar al op staat is 2.3.11. Ik weet dat er een nieuwere versie is (2.3.13).
    Ik heb begrepen dat er een wizard bestaat voor het aanmaken van een nieuw model, maar die lijkt te missen in mijn X-Lite. Nu heb ik e.e.a. gelezen over de setup van Companion, en ik kan me voorstellen dat bij het compileren van de firmware door de vorige eigenaar de wizard optie niet meegnomen is. Dus ik was van plan om de firmware te updaten met die optie aangevinkt.

    Maar nu doet zich het volgende probleem voor: ik heb een Mac, OSX versie High Sierra (10.13.6). Ik heb geprobeerd Companion 2.3.13 en 2.3.12 te installeren, maar dat lukt niet. Ik zie dan het splashscreen met een soort verbodsbord er doorheen. Dat probleem komt kennelijk ook bij anderen voor: https://github.com/opentx/opentx/issues/8561

    Mijn Mac laat geen nieuwere versie van OSX toe, dus ik zit (voorlopig?) vast aan Companion 2.3.11. Als ik daarmee probeer de bijbehorende firmware te downloaden krijg ik alleen de nieuwste versie (2.3.13) aangeboden.

    Voor ik nu gelijk al de firmware in mijn zender opblaas, weet iemand te zeggen of ik daar problemen mee kan verwachten? Zijn er andere manieren om er een extra optie in te krijgen?

    Max.

    P.S. Het onmiddellijke probleem is opgelost, met hulp van een vliegcollega met ook een X-Lite heb ik de wizard gevonden. Maar ik blijf geïnteresseerd in of ik in de gegeven situatie een nieuwere versie van de firmware kan installeren.
     
    Laatst bewerkt: 26 jun 2021
  12. alm

    alm

    Lid geworden:
    20 jun 2015
    Berichten:
    849
    Locatie:
    Hellevoetsluis
    Voor zover ik het begrijp kun je de Nightly versie van (alleen) Companion gebruiken en dan de release-versie 2.3.13 downloaden en op de zender zetten. Vergeet daarbij de SD kaart niet te updaten.

    Houd of zet de Release channel setting op "Releases (stable)" mocht daar wat anders komen te staan als je een Nightly versie van Companion gebruikt, zie onderstaande screenshot:

    upload_2021-6-27_1-52-36.png

    PS. Als je nu firmware download via Companion, dan krijg je altijd versie 2.3.13, ook al zou je bijvoorbeeld Companion 2.3.11 gebruiken. Er is geen archief waar je nog oudere versies van de firmware kunt downloaden (althans niet binnen de 2.3 tree).
     
  13. max z

    max z Vriend van modelbouwforum.nl The First Aviators

    Lid geworden:
    4 dec 2009
    Berichten:
    1.752
    Locatie:
    Boskoop
    @alm bedankt voor je antwoord. Ik heb geen idee wat het verschil tussen de "stable release" en de "nightly version" is. Een ongeteste tussenversie misschien? In dat geval blijf ik er liever weg van, ik heb nog niet genoeg inzicht in OpenTX om eventuele fouten of corrupties te herkennen, aangezien mijn onmiddellijke probleem opgelost is zoals ik al schreef.

    Een andere vraag: Bij de voorkeurinstellingen van de Companion app vind ik onder de tab "Radio Profile":
    Welk pad vul ik hier precies in?
    En wat is het verschil met de backup file in de tab "Application Settings"?:
    Als ik in het Companion menu "Backup Radio to File" kies, krijg ik géén van de twee paden te zien, maar een "Save As" schermpje met een default path naar "Downloads"

    Groet,
    Max
     
  14. alm

    alm

    Lid geworden:
    20 jun 2015
    Berichten:
    849
    Locatie:
    Hellevoetsluis
    Nightly builds zijn de builds van de firmware die elke (of bijna elke) nacht worden gemaakt op basis van de huidige stand van de sourcecode. Het zijn in feite beta-versies omdat ze maar zeer beperkt getest zijn. Als je op release (stable) blijft zitten dan houd je gewoon de goede versies (dus die als stable zijn aangemerkt). Mocht je een Nightly gebruiken dan herken je dat aan de waarschuwing bij het opstarten van de zender (dat het een test/beta versie is en niet bedoeld is om mee te vliegen - alles op eigen risico). Voor wat betreft Companion zelf is het risico wat minder groot, zeker als je vlak na de release een Nightly versie ervan neemt (dan is er nog maar weinig gewijzigd).

    Wat betreft de Automatic Backup Folder onder de Applications tab heb ik eerlijk gezegd geen idee wat ze daar precies mee bedoelen.
     
  15. Emanuel

    Emanuel

    Lid geworden:
    9 feb 2011
    Berichten:
    1.710
    Locatie:
    Waalwijk
    In 2.3.13 zit voor een aantal gebruikers een ernstige bug. Ik heb een Horus X12s met ISRM upgrade module erin en die combi werkt in D16 mode voor geen meter meer. De besturing is heel hakerig, alsof hij maar met 10Hz de servo positie update.
     
  16. alm

    alm

    Lid geworden:
    20 jun 2015
    Berichten:
    849
    Locatie:
    Hellevoetsluis
    Welke firmware heb je in de ISRM module?
     
  17. Emanuel

    Emanuel

    Lid geworden:
    9 feb 2011
    Berichten:
    1.710
    Locatie:
    Waalwijk
    Pfoe, volgens mij 2.1.6, de laatste in ieder geval.
     
  18. alm

    alm

    Lid geworden:
    20 jun 2015
    Berichten:
    849
    Locatie:
    Hellevoetsluis
    Ok, ik zie dat je een melding hebt gemaakt via Github en dat er meer mensen zijn met dit probleem.
     
  19. Btje

    Btje

    Lid geworden:
    6 mei 2004
    Berichten:
    408
    Locatie:
    Weert
    Dat stotteren heb ik ook. Maar hoe gebruik ik nu versie 2.3.12 Ik heb nog geen vorige versie.
     
  20. alm

    alm

    Lid geworden:
    20 jun 2015
    Berichten:
    849
    Locatie:
    Hellevoetsluis
    Altijd een backup maken van de settings en de firmware als je een nieuwe firmware versie op je zender zet, dan kun je tenminste terug... Als je die niet hebt en je wilt terug naar een oudere versie dan kun je ofwel een firmware-bestand van iemand anders gebruiken (zelfde zender en bij voorkeur dezelfde firmware-opties gebruikt), ofwel je kan de firmware zelf opnieuw compileren. De sourcecode (ook van voorgaande versies) kun je downloaden vanaf de OpenTX github pagina. Instructies voor het zelf compileren zijn online te vinden.

    Ik heb voor mijn X9D+ ook een aantal keer zelf de firmware gecompileerd, puur om eens te proberen en daarna omdat ik geen zin had een Nightly te gebruiken voor een bepaalde feature die ik graag wilde hebben (Nightly builds zeuren als je de zender aanzet omdat het een beta-versie is). Daarna nog een keer voor een fix die in 2.3.12 zat maar die versie duurde erg lang om uit te komen, dus toen heb ik die aanpassing gewoon in 2.3.11 doorgevoerd en opnieuw gecompileerd. Ben geen programmeur, maar dat lukte me nog wel. ;)

    Als je niet handig bent met computers dan lukt het vermoedelijk niet...
     

Deel Deze Pagina